# Config Explained.

{% hint style="info" %}
Upon successfully installing the resources, you are now ready to begin configuring. Here's a straightforward explanation of the purpose of each option to guide you through the editing process.
{% endhint %}

```lua
Config = {}

-- QBCore = exports['qb-core']:GetCoreObject()  -- uncomment if you use QBCore
-- ESX = exports["es_extended"]:getSharedObject() -- uncomment if you use ESX

Config.Settings = {
    Framework = "ST", -- QB/ESX/ST (ST - Standalone) used for the notify
    Target = "ST", -- OX/QB/BT/ST (ST - None/Standalone)
    InteractKey = 38, -- Interact key used for Standalone Target.
    Replay = { 
        -- If enabled player will be able to replay races if they have already won them | /blacklist replay [level]
        -- Time will be used for the leaderboard
        -- If disabled players will be able to play the races only once and the leaderboard will use only their first succesful attempts.
        Enabled = false,
        Command = "replay" -- /blacklist replay [level]
    },
    CheckPoints = {
        Sound = true, -- sound when you take a checkpoint.
        Color = {
            r = 255, -- Red
            g = 255, -- Green
            b = 255, -- Blue
            a = 100, -- alpha (how transparent the checkpoint is)
        },
    },
    RaceBlips = { -- Blips of the checkpoints shows on the minimap
        Sprite = 309,
        Color = 1,
        Scale = 0.8,
    },
    OpponentCarBlip = { -- blip of the opponents vehicle.
        Sprite = 646,
        Color = 1,
        Scale = 0.8,
    },
    TimerCheckpoints = { -- Position of the UI that shows the checkpoints and the time.
        Checkpoints = { -- Position of the checkpoints (current/max)
            x = 0.020,
            y = 0.70,
        },
        Timer = { -- Position of the timer (00:00:00)
            x = 0.09,
            y = 0.70,
        },
    },
}

Config.Rewards = {
    Enabled = false,
    Type = 'cash',
    [1] = 1000, -- Reward for race #1
    [2] = 1000, -- Reward for race #2
    [3] = 1000, -- Reward for race #3
    [4] = 1000, -- Reward for race #4
    [5] = 1000, -- Reward for race #5
    [6] = 1000, -- Reward for race #6
    [7] = 1000, -- Reward for race #7
    [8] = 1000, -- Reward for race #8
    [9] = 1000, -- Reward for race #9
    [10] = 1000, -- Reward for race #1
}

Config.MainLoc = {
    Cars = {
        Car1 = {
            pos = vector4(530.4, -2405.84, 5.89, 282.38),
            model = 'elegy',
        },
        Car2 = {
            pos = vector4(523.81, -2405.11, 5.91, 351.36),
            model = 'tempesta',
        },
    },
    Peds = {
        Peds1 = {
            pos = vector4(527.54, -2405.8, 5.9, 350.7),
            model = 'cs_wade',
            interact = 'bbv-blacklist:maps',
            lang = 'Current Map',
            blip = {
                sprite = 315,
                color = 3,
                scale = 0.5,
            },
        },
        Peds2 = {
            pos = vector4(525.95, -2404.79, 5.91, 291.45),
            model = 'csb_car3guy1',
            interact = 'bbv-blacklist:times',
            lang = 'Times',
            blip = {
                sprite = 315,
                color = 3,
                scale = 0.5,
            },
        }, 
        Peds3 = {
            pos = vector4(527.37, -2403.34, 5.9, 337.77),
            model = 'csb_ramp_mex',
            interact = 'bbv-blacklist:boss',
            lang = 'Blacklist',
            blip = {
                sprite = 315,
                color = 3,
                scale = 0.5,
            },
        },
        Peds4 = {
            pos = vector4(536.56, -2407.0, 5.88, 59.57),
            model = 'csb_ramp_mex',
            interact = 'bbv-blacklist:leaderboard',
            lang = 'Leaderboard',
            blip = {
                sprite = 315,
                color = 3,
                scale = 0.5,
            },
        },
    }
}

Config.PoliceVehicles = {
    'policeb',
    'police',
    'police3',
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bbv.world/bbv-x-world-or-blacklist/config-explained..md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
